using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class ColosseumWindFallDeckInfoTask : BaseTask
{
	public List<DeckData> DeckList { get; private set; }

	public ColosseumWindFallDeckInfoTask()
	{
		base.type = ApiType.Type.ColosseumWindFallDeckInfo;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		DeckList = new List<DeckData>();
		JsonData jsonData = base.ResponseData["data"];
		for (int i = 0; i < jsonData.Count; i++)
		{
			JsonData deckData = jsonData[i];
			DeckData deckData2 = new DeckData(Format.Max, DeckAttributeType.CustomDeck);
			deckData2.Initialize(deckData);
			DeckList.Add(deckData2);
		}
		return num;
	}
}
